### Method

# GLib Checksum copy

since: 2.16

#### Declaration [src]

    GChecksum*
    g_checksum_copy (
      const GChecksum* checksum
    )

#### Description [src]

Copies a `GChecksum`. If `checksum` has been closed, by calling `g_checksum_get_string()` or g_checksum_get_digest(), the copied checksum will be closed as well.

Available since: 2.16

#### Return value

Type: `GChecksum`

The copy of the passed `GChecksum`. Use `g_checksum_free()` when finished using it.

The caller of the method takes ownership of the data, and is responsible for freeing it.